public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: do not trigger RHEL-47401 on RHEL-9.x
Date: Fri, 11 Sep 2026 13:22:12 GMT [thread overview]
Message-ID: <178913293283.1.1769142638359671347.tests-selinux-46a86a1ff1d5@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 46a86a1ff1d5b76b16922d8fa8ecbe301e34e49e
Author : Milos Malik <mmalik@redhat.com>
Date : 2024-12-04T09:44:20+00:00
Stats : +9/-3 in 3 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/46a86a1ff1d5b76b16922d8fa8ecbe301e34e49e?branch=pr775-checkpolicy-revdeps
Log:
do not trigger RHEL-47401 on RHEL-9.x
Current decision on RHEL-47401 is not to fix it. In order to avoid
unnecessary failures (or waiving), the test scenario will not be
tested on RHEL-9 and CentOs stream 9 machines.
---
diff --git a/selinux-policy/cups-browsed-and-similar/Makefile b/selinux-policy/cups-browsed-and-similar/Makefile
index a6ec20e..f78d4ec 100644
--- a/selinux-policy/cups-browsed-and-similar/Makefile
+++ b/selinux-policy/cups-browsed-and-similar/Makefile
@@ -67,6 +67,7 @@ $(METADATA): Makefile
@echo "Bug: 1401634" >> $(METADATA) # Fedora 26
@echo "Bug: 1719754" >> $(METADATA) # RHEL-7
@echo "Bug: RHEL-47401" >> $(METADATA) # RHEL-9
+ @echo "Bug: RHEL-54579" >> $(METADATA) # RHEL-10
rhts-lint $(METADATA)
diff --git a/selinux-policy/cups-browsed-and-similar/main.fmf b/selinux-policy/cups-browsed-and-similar/main.fmf
index c75ebba..6b201f0 100644
--- a/selinux-policy/cups-browsed-and-similar/main.fmf
+++ b/selinux-policy/cups-browsed-and-similar/main.fmf
@@ -41,6 +41,7 @@ link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1719754
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1929329
- verifies: https://issues.redhat.com/browse/RHEL-47401
+ - verifies: https://issues.redhat.com/browse/RHEL-54579
adjust:
- enabled: false
when: distro == rhel-4, rhel-5, rhel-6
diff --git a/selinux-policy/cups-browsed-and-similar/runtest.sh b/selinux-policy/cups-browsed-and-similar/runtest.sh
index 6aa8b88..fc6e607 100755
--- a/selinux-policy/cups-browsed-and-similar/runtest.sh
+++ b/selinux-policy/cups-browsed-and-similar/runtest.sh
@@ -82,9 +82,13 @@ rlJournalStart
fi
fi
rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "start status" 1
- rlRun "restorecon -Rv /run /var -e /var/ARTIFACTS" 0-255
- rlRun "mkdir -p /root/.cups"
- rlRun "touch /root/.cups/lpoptions"
+ rlRun "restorecon -Rv /etc /run /var -e /var/ARTIFACTS" 0-255
+ if ! rlIsRHEL 9 && ! rlIsCentOS 9 ; then
+ # RHEL-47401 closed as won't fix
+ # RHEL-54579 will be fixed in RHEL-10
+ rlRun "mkdir -p /root/.cups"
+ rlRun "touch /root/.cups/lpoptions"
+ fi
rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "restart status stop status" 1
rlPhaseEnd
reply other threads:[~2026-09-11 13:22 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913293283.1.1769142638359671347.tests-selinux-46a86a1ff1d5@fedoraproject.org \
--to=mmalik@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox